### File

`packages/ecl/components/ecl-featured/ecl-featured-item.component.ts`

### Description

Container for the text part - title and description of the component.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-featured-item, div[eclFeaturedItem]`
imports | `NgTemplateOutlet`
styles | `:host { display: block; }`
templateUrl | `./ecl-featured-item.component.html`

### Index

###### Properties
className Optional links mediaContainer
###### Methods
getCssClasses
###### Inputs
eclTitle id class e2eAttr tabindex
###### HostBindings
class.ecl-featured-item__item
###### Accessors
hasTitle

### Inputs

eclTitle
Type : `string`
Default value : `''`

id
Type : `string`
Default value : ``ecl-featured-item-${uniqueId()}``

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-featured-item__item
Type : `boolean`
Default value : `true`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

className
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-featured-item__item')`

Optional links
Type : `QueryList<EclFeaturedItemLinkDirective>`
Decorators : `@ContentChildren(EclFeaturedItemLinkDirective, {descendants: true})`

mediaContainer
Type : `unknown`
Default value : `contentChild(EclMediaContainerComponent)`

### Accessors

hasTitle
get `hasTitle()`

# results matching ""

# No results matching ""